Bug 237794 - Wrong init script
Wrong init script
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks: 237789 237796 237797
  Show dependency treegraph
 
Reported: 2007-04-25 10:25 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 14:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-25 10:25:52 EDT
Description of problem:
Following construction forbids to invoke status command on initscript and also
ends up with error code 0 even when the service is not started:
test -e $DAEMON || exit 0
There are also problems with incorrect error codes not obeying our guidelines.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. mv /usr/sbin/automount /usr/sbin/automount.gotcha
2. service automount status/start
3. echo $?
  
Actual results:
0

Expected results:
1/status of the service

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 Jeffrey Moyer 2007-05-31 14:48:48 EDT
Yes, if you REMOVE the automount binary, the init script won't work.  Of course,
neither will the automount daemon.  I fail to recognize this as a bug requiring
fixing in an update release of our operating system.  Report the problem upstream.

Note You need to log in before you can comment on or make changes to this bug.